commit aad838904a616615d97f362a4a7cc738039d8d35
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Oct 29 01:25:03 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 0bfc1e9884d..aa425f410a0 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251028
+20251029
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 92be4b2ba45..23f2bfa21f2 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,37 @@
+2025-10-28  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2025-10-14  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/122192
+	* parser.cc (cp_parser_mem_initializer_id): Pass class_type
+	instead of typename_type to cp_parser_class_name in the
+	nested-name-specifier case.
+
+2025-10-28  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2025-10-10  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/122192
+	* decl.cc (make_typename_type): Document base-specifier as
+	another type-only lookup case.
+	* parser.cc (cp_parser_class_name): Propagate tag_type to
+	make_typename_type instead of hardcoding typename_type.
+	(cp_parser_base_specifier): Pass class_type instead of
+	typename_type as tag_type to cp_parser_class_name.
+
+2025-10-28  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-10-27  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/122310
+	* module.cc (get_keyed_decl_scope): New function.
+	(trees_out::get_merge_kind): Use it.
+	(trees_out::key_mergeable): Use it.
+	(maybe_key_decl): Key to the containing type for all members.
+
 2025-10-14  Jason Merrill  <jason@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index dbe97677749..f3126dca838 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,30 @@
+2025-10-28  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2025-10-14  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/122192
+	* g++.dg/template/dependent-base6.C: Verify mem-initializer-id
+	qualified name lookup is type-only too.
+
+2025-10-28  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2025-10-10  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/122192
+	* g++.dg/template/dependent-base6.C: New test.
+
+2025-10-28  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-10-27  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/122310
+	* g++.dg/modules/lambda-12.h: New test.
+	* g++.dg/modules/lambda-12_a.H: New test.
+	* g++.dg/modules/lambda-12_b.C: New test.
+
 2025-10-27  Jakub Jelinek  <jakub@redhat.com>
 
 	PR tree-optimization/122394

